{
  "codeName" : "Card",
  "controlType" : "DATAVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
    }
  },
  "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone/PSDATAVIEWS/Card.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch",
    "actionType" : "DEDATASET",
    "name" : "fetch",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
    }
  },
  "groupMode" : "NONE",
  "getItemPSLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "field1"
    }, {
      "id" : "field2"
    }, {
      "id" : "field3"
    }, {
      "id" : "field4"
    }, {
      "id" : "field5"
    } ],
    "codeName" : "A914dc5f9880ff309a2",
    "controlType" : "PANEL",
    "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone/PSPANELS/A914dc5f9880ff309a2.json",
    "layoutMode" : "TABLE_24COL",
    "logicName" : "表格布局面板(测试)",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "标题",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "field1",
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "field1",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      }
    }, {
      "caption" : "标题2",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "field2",
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "field2",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      }
    }, {
      "caption" : "标题3",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "field3",
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "field3",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      }
    }, {
      "caption" : "标题4",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "field4",
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "field4",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      }
    }, {
      "caption" : "标题5",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "field5",
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "field5",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      }
    }, {
      "caption" : "首页菜单",
      "itemStyle" : "DEFAULT",
      "itemType" : "CTRLPOS",
      "name" : "appmenu",
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "showCaption" : true
    } ],
    "layoutPanel" : true,
    "name" : "itemlayoutpanel",
    "modelid" : "0BB26AC5-B544-453F-938C-44F5A073D7C2",
    "modeltype" : "PSSYSVIEWPANEL"
  },
  "logicName" : "Card",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
  },
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "DataImport"
  },
  "getPSDEDataViewDataItems" : [ {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "PHONEID",
      "codeName" : "PhoneId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "PHONENAME",
      "codeName" : "PhoneName"
    }
  } ],
  "pagingMode" : 1,
  "pagingSize" : 20,
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
    }
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
    }
  },
  "hasWFDataItems" : false,
  "appendDEItems" : false,
  "enableCardEdit" : false,
  "enableCardEditGroup" : false,
  "enableCardEditOrder" : false,
  "enableCardNew" : false,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "ACBA82D9-8C11-4B98-B443-9DF637CE5758",
  "modeltype" : "PSDEDATAVIEW"
}